Create From Project
curl --request POST \
--url https://api.example.com/api/v1/workflows/from-project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"auto_accept": false
}
'import requests
url = "https://api.example.com/api/v1/workflows/from-project"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"auto_accept": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
auto_accept: false
})
};
fetch('https://api.example.com/api/v1/workflows/from-project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"trigger_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"trigger_config": {},
"is_template": false,
"template_category": "<string>",
"auto_accept": false,
"auto_accept_preferences": {},
"max_budget_cents": 123,
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"node_type": "task",
"parallel_group": 123,
"depends_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_template": {},
"node_config": {},
"input_mapping": {},
"retry_count": 0,
"max_retries": 1
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Create From Project
POST
/
api
/
v1
/
workflows
/
from-project
Create From Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I